from django.contrib import admin
from django.contrib.auth.admin import UserAdmin
from models import *
from django.contrib.auth.models import User
from django.utils.translation import ugettext, ugettext_lazy as _

# Unregistering default UserAdmin for extension purposes
admin.site.unregister(User)

class UserProfileInline(admin.StackedInline):
	model = UserProfile


class UserProfileAdmin(UserAdmin):
	inlines = [UserProfileInline]
	fieldsets = (
	  (_('Account Information'), {'fields': ('username', 'password')}),
	  (_('Personal info'), {'fields': ('first_name', 'last_name', 'email')}),
	  (_('Permissions'), {
	  	'fields': ('is_staff', 'is_active', 'is_superuser', 'user_permissions'),
	  	'classes': ('collapse',),
	  }),
	  (_('Important dates'), {
	  	'fields': ('last_login', 'date_joined'),
	  	'classes': ('collapse',),
	  }),
	  (_('Groups'), {
	  	'fields': ('groups',),
	  	'classes': ('collapse',),
	  }),
	  	
	)

admin.site.register(User, UserProfileAdmin)

