# Create your views here.
from django.http import HttpResponse
from django.shortcuts import render_to_response
from django.contrib.auth.models import User
from models import UserProfile
from publishing.models import Publication
from django.contrib.auth.models import User

def profile(request, username=None):
	profile = UserProfile.objects.get(user__username=username)
	publications = profile.user.publication_set.all()
	print publications
	if profile:
		return render_to_response('account/profile.html', {'profile' : profile, 'items' : publications})
		
def publications(request):
	pubs = []
	selected = []
	profile = UserProfile.objects.all()
	
	if request.method == 'POST':
		selected_ids = request.POST.getlist('selected')
		print selected_ids
		
		if selected_ids:
			selected = User.objects.filter(id__in=selected_ids)
			pubs = UserProfile.get_group_publication_set(selected)
	
	return render_to_response("account/publication_filter.html", 
								{'profiles' : profile, 
								'publications' : pubs, 
								'selected' : selected})
	
def members(request):
	undergraduated = User.objects.filter(profile__kind = "undergraduated")
	msc = User.objects.filter(profile__kind = "msc")
	phd = User.objects.filter(profile__kind = "phd")
	professor = User.objects.filter(profile__kind = "professor")
	researcher = User.objects.filter(profile__kind = "researcher")
	"""
	pubs = Publication.objects.all()
	pubs = map(lambda p : p.cast(), pubs)
	"""
	return render_to_response("account/members.html", 
							  {'undergraduated' : undergraduated, 'msc': msc, 'phd': phd, 'professor': professor, 'researcher': researcher})
