#!/usr/bin/env python
#-*- coding:utf-8 -*-

from django.contrib import admin
from models import *
from django.utils.translation import ugettext, ugettext_lazy as _

class PublicationAdmin(admin.ModelAdmin):
	list_display = ('title', 'year', 'get_resource_as_link', 'to_bibtex_as_link')
	list_filter = ('title', 'year')
	search_fields = ('title',)	
	
class JournalArticleAdmin(PublicationAdmin):
	pass
		
class MScDissertationAdmin(PublicationAdmin):
	pass
			
class PhDThesisAdmin(PublicationAdmin):
	pass
		
class ConferenceArticleAdmin(PublicationAdmin):
	pass
			
admin.site.register(JournalArticle, JournalArticleAdmin)
admin.site.register(ConferenceArticle, ConferenceArticleAdmin)
admin.site.register(MScDissertation, MScDissertationAdmin)
admin.site.register(PhDThesis, PhDThesisAdmin)


